- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PSDL_Op_Dcl Class Reference

**************************************************************** More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Op_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Op_Dcl:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Op_Dcl (TAO_PSDL_Node *op_attribute, TAO_PSDL_Node *op_type_spec, TAO_PSDL_Node *identifier, TAO_PSDL_Node *parameter_dcls, TAO_PSDL_Node *raises_expr, TAO_PSDL_Node *context_expr)
| ****************************************************************
| TAO_PSDL_Op_Dcl (TAO_PSDL_Node *op_type_spec, TAO_PSDL_Node *identifier, TAO_PSDL_Node *parameter_dcls, TAO_PSDL_Node *raises_expr, TAO_PSDL_Node *context_expr)
| TAO_PSDL_Op_Dcl (TAO_PSDL_Node *op_type_spec, TAO_PSDL_Node *identifier, TAO_PSDL_Node *parameter_dcls, TAO_PSDL_Node *raises_expr)
| TAO_PSDL_Op_Dcl (TAO_PSDL_Node *op_type_spec, TAO_PSDL_Node *identifier, TAO_PSDL_Node *parameter_dcls)
virtual | ~TAO_PSDL_Op_Dcl (void)
TAO_PSDL_Node * | op_attribute (void) const
| Get the value.
TAO_PSDL_Node * | op_type_spec (void) const
TAO_PSDL_Node * | identifier (void) const
TAO_PSDL_Node * | parameter_dcls (void) const
TAO_PSDL_Node * | raises_expr (void) const
TAO_PSDL_Node * | context_expr (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | op_attribute_
| The values.
TAO_PSDL_Node * | op_type_spec_
TAO_PSDL_Node * | identifier_
TAO_PSDL_Node * | parameter_dcls_
TAO_PSDL_Node * | raises_expr_
TAO_PSDL_Node * | context_expr_

## Detailed Description

****************************************************************

## Constructor & Destructor Documentation

TAO_PSDL_Op_Dcl::TAO_PSDL_Op_Dcl | ( | TAO_PSDL_Node * | op_attribute,
|  | TAO_PSDL_Node * | op_type_spec,
|  | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | parameter_dcls,
|  | TAO_PSDL_Node * | raises_expr,
|  | TAO_PSDL_Node * | context_expr |
| ) |  |  |

****************************************************************

TAO_PSDL_Op_Dcl::TAO_PSDL_Op_Dcl | ( | TAO_PSDL_Node * | op_type_spec,
|  | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | parameter_dcls,
|  | TAO_PSDL_Node * | raises_expr,
|  | TAO_PSDL_Node * | context_expr |
| ) |  |  |

TAO_PSDL_Op_Dcl::TAO_PSDL_Op_Dcl | ( | TAO_PSDL_Node * | op_type_spec,
|  | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | parameter_dcls,
|  | TAO_PSDL_Node * | raises_expr |
| ) |  |  |

TAO_PSDL_Op_Dcl::TAO_PSDL_Op_Dcl | ( | TAO_PSDL_Node * | op_type_spec,
|  | TAO_PSDL_Node * | identifier,
|  | TAO_PSDL_Node * | parameter_dcls |
| ) |  |  |

TAO_PSDL_Op_Dcl::~TAO_PSDL_Op_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Op_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

= The Node methods.

Implements TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Op_Dcl::context_expr | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Op_Dcl::identifier | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Op_Dcl::op_attribute | ( | void |  | ) | const

Get the value.

TAO_PSDL_Node * TAO_PSDL_Op_Dcl::op_type_spec | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Op_Dcl::parameter_dcls | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Op_Dcl::raises_expr | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Op_Dcl::context_expr_`[private]`

TAO_PSDL_Node* TAO_PSDL_Op_Dcl::identifier_`[private]`

TAO_PSDL_Node* TAO_PSDL_Op_Dcl::op_attribute_`[private]`

The values.

TAO_PSDL_Node* TAO_PSDL_Op_Dcl::op_type_spec_`[private]`

TAO_PSDL_Node* TAO_PSDL_Op_Dcl::parameter_dcls_`[private]`

TAO_PSDL_Node* TAO_PSDL_Op_Dcl::raises_expr_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp